// AIPacerScanDlg.h : header file
//

#if !defined(AFX_AIPACERSCANDLG_H__AADBD814_D353_4171_93B5_CBD7428479CC__INCLUDED_)
#define AFX_AIPACERSCANDLG_H__AADBD814_D353_4171_93B5_CBD7428479CC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAIPacerScanDlg dialog

class CAIPacerScanDlg : public CDialog
{
// Construction
public:
	float GetDlgItemFloat(int nID);
	VOID SetDlgItemDouble(int nID,double nVal);
	CAIPacerScanDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAIPacerScanDlg)
	enum { IDD = IDD_AIPACERSCAN_DIALOG };
	CButton	m_IDCCANCEL;
	CEdit	m_IDC_EDIT_SamplingRate;
	CComboBox	m_IDC_COMBO_Channel2;
	CComboBox	m_IDC_COMBO_Channel1;
	CComboBox	m_IDC_COMBO_Channel0;
	CComboBox	m_IDC_COMBO_Type;
	CComboBox	m_IDC_COMBO_SelectBoard;
	CComboBox	m_IDC_COMBO_CfgCode;
	CButton	m_IDC_BTN_Active;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAIPacerScanDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAIPacerScanDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBTNActive();
	virtual void OnCancel();
	afx_msg void OnSelchangeCOMBOSelectBoard();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnSelchangeCOMBOCfgCode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AIPACERSCANDLG_H__AADBD814_D353_4171_93B5_CBD7428479CC__INCLUDED_)
